StreamCopyListenerOnRead (The Data Transfer Agent Service 2.1.0-3.10.1 API)
Date: 2016-03-03

org.gcube.datatransfer.agent.impl.streams

## Class StreamCopyListenerOnRead

- java.lang.Object
- - org.gcube.data.streams.delegates.StreamListenerAdapter
  - - org.gcube.datatransfer.agent.impl.streams.StreamCopyListenerOnRead

- All Implemented Interfaces:
    org.gcube.data.streams.delegates.StreamListener

      public class StreamCopyListenerOnRead
      extends org.gcube.data.streams.delegates.StreamListenerAdapter

  Author:
    Andrea Manzi(CERN)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.gcube.common.core.utils.logging.GCUBELog` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamCopyListenerOnRead(String transferID, org.gcube.datatransfer.agent.stubs.datatransferagent.SourceData source, org.gcube.datatransfer.agent.stubs.datatransferagent.DestData dest, Counter readTreesCounter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onEnd()`
    `void` | `onStart()`
    `void` | `sendEvent(Events.TransferTopics topic, String message)`

    - ### Methods inherited from class org.gcube.data.streams.delegates.StreamListenerAdapter

      `onClose`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected org.gcube.common.core.utils.logging.GCUBELog logger

  - ### Constructor Detail

    - #### StreamCopyListenerOnRead

          public StreamCopyListenerOnRead(String transferID,
                                  org.gcube.datatransfer.agent.stubs.datatransferagent.SourceData source,
                                  org.gcube.datatransfer.agent.stubs.datatransferagent.DestData dest,
                                  Counter readTreesCounter)

  - ### Method Detail

    - #### onEnd

          public void onEnd()

      Specified by:
        `onEnd` in interface `org.gcube.data.streams.delegates.StreamListener`
      Overrides:
        `onEnd` in class `org.gcube.data.streams.delegates.StreamListenerAdapter`

    - #### onStart

          public void onStart()

      Specified by:
        `onStart` in interface `org.gcube.data.streams.delegates.StreamListener`
      Overrides:
        `onStart` in class `org.gcube.data.streams.delegates.StreamListenerAdapter`

    - #### sendEvent

          public void sendEvent(Events.TransferTopics topic,
                       String message)

Copyright © 2016. All Rights Reserved.